package com.zskk.service;

import com.jfinal.weixin.sdk.api.SnsAccessToken;
import com.jfinal.weixin.sdk.api.SnsAccessTokenApi;

public class WeixinService {
	
	/**
	 * 用户同意授权，获取带code的url
	 * @return
	 */
	public String getCodeUrl(String appId, String redirect_uri) {
		String url = SnsAccessTokenApi.getAuthorizeURL(appId, redirect_uri, false);
		return url;
	}

	public SnsAccessToken getWebAccessToken(String appId, String secret, String code) {
		SnsAccessToken snsAccessToken = SnsAccessTokenApi.getSnsAccessToken(appId, secret, code);
		return snsAccessToken;
	}
}
